Skip to main content
`Ctrl`+`K`

# PetscLogStateEventGetActive

Check if a logging event is active or inactive during a logging stage.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateEventGetActive(PetscLogState state, PetscLogStage stage, PetscLogEvent event, PetscBool *isActive)

Not collective

## Input Parameters

- state - a `PetscLogState`

- stage - a registered `PetscLogStage`, or `PETSC_DEFAULT` for the current stage

- event - a registered `PetscLogEvent`

## Output Parameter

- isActive - If `PETSC_FALSE`, log handlers should not be notified of the event’s beginning or end.

## Note

This is called for the global state (`PetscLogGetState()`) in `PetscLogEventGetActive()`, where it has significance for what information is sent to log handlers.

## See Also

Profiling, `PetscLogState`, `PetscLogEventGetActive()`, `PetscLogStateGetCurrentStage()`, `PetscLogHandler()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages